package com.platform.yijia.service;


import com.platform.yijia.pojo.CustomerPoints;

public interface CustomerPointsService {

    //获取用户积分信息
    CustomerPoints getCustomerPointsInfo(CustomerPoints customerPoints);

    //插入用户积分信息
    void insertCustomerPointsInfo(CustomerPoints customerPoints);

    //更新用户积分信息
    void updateCustomerPointsInfo(CustomerPoints customerPoints);

    //判断该用户是否存在积分表
    boolean isExistCustomerPointsInfo(CustomerPoints customerPoints);

    //根据小程序用户的openId查询客户积分信息
    CustomerPoints getCustomerPointsInfoByUnionId(CustomerPoints customerPoints);
}
